using AutoMapper;
using WingInterfaceLibrary.DTO.User;
using WingInterfaceLibrary.Result.UserFeature;
using WingInterfaceLibrary.DTO.UserFeature;
using WingInterfaceLibrary.Request.User;
using WingInterfaceLibrary.DTO.Schedule;
using WingInterfaceLibrary.DTO.GradingProtection;
using WingServerCommon.Interfaces.Cache;

namespace WingUserModule
{
    /// <summary>
    /// Auto mapper profile
    /// </summary>
    public class AutoMapperProfile : Profile
    {
        public AutoMapperProfile()
        {
            CreateMap<UserPasswordDTO, UserDTO>().ReverseMap();
            CreateMap<UserExtendDTO, UserDTO>().ReverseMap();
            CreateMap<UserInfoByCodeDTO, UserDTO>().ReverseMap(); 
            CreateMap<UserFeatureInfoResult, UserFeatureInfoDTO>().ReverseMap();
            CreateMap<GetUserListRequest, GetUserListDBRequest>().ReverseMap();
            CreateMap<LoginLockInfoDTO, WingServerCommon.Interfaces.Cache.LoginLockInfo>().ReverseMap();
            CreateMap<UserDTO, WingServerCommon.Interfaces.Cache.CacheUserDTO>()
           .ForMember(dest => dest.Code, opt => opt.MapFrom(src => src.UserCode ?? string.Empty)).ReverseMap();
            CreateMap<ClientScheduleDTO, ScheduleDTO>().ReverseMap();
            CreateMap<CacheGradingProtectionConfigDTO, GradingProtectionConfigDTO>()
            .ForMember(dest => dest.ModuleCode, opt => opt.MapFrom(src => src.Code))
            .ForMember(dest => dest.Description, opt => opt.Ignore()).ReverseMap();
            
        }
    }
}
