using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingUserModule.Entity
{
    /// <summary>
    /// 用户登录实体
    /// </summary>
    public class UserLoginInfo
    {
        /// <summary>
        /// Login type 0.default,1.wechat
        /// </summary>
        public LoginProcessorTypeEnum LoginType { get; set; }

        /// <summary>
        /// User name
        /// </summary>
        public string UserName { get; set; }

        /// <summary>
        /// password
        /// </summary>
        public string Password { get; set; }

        /// <summary>
        /// Phone
        /// </summary>
        /// <value></value>
        public string Phone { get; set; }

        /// <summary>
        /// Email
        /// </summary>
        /// <value></value>
        public string Email { get; set; }
        
        /// <summary>
        /// Verify Code
        /// </summary>
        /// <value></value>
        public string VerifyCode { get; set; }

        /// <summary>
        /// Thirdparty data for login
        /// </summary>
        public string ThirdpartyData { get; set; }

        /// <summary>
        /// 请求头标识
        /// </summary>
        /// <value></value>
        public Dictionary<string, string> HeaderMap { get; set; } = new();

        /// <summary>
        /// 平台
        /// </summary>
        /// <value></value>
        public Platform Platform { get; set; }

        /// <summary>
        /// 来源
        /// </summary>
        /// <value></value>
        public LoginSource LoginSource { get; set; }

                
        /// <summary>
        /// UserCode
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }
    }
}
