using System;

namespace WingUserModule.Entity
{
    /// <summary>
    /// 验证码实体
    /// </summary>
    public class VerifyCodeInfo
    {
        /// <summary>
        /// 验证码
        /// </summary>
        public string VerifyCode { get; set; }

        /// <summary>
        /// 验证码有效时间
        /// </summary>
        public int ValidMinutes { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateTime { get; set; }

        /// <summary>
        /// 过期时间
        /// </summary>
        public DateTime OverdueTime => CreateTime.AddMinutes(ValidMinutes);

        /// <summary>
        /// 是否过期
        /// </summary>
        public bool IsOverdue => OverdueTime < DateTime.UtcNow;
    }
}