﻿using System.Threading.Tasks;
using WingUserModule.Entity;

namespace WingUserModule.Processor
{
    public class LoginProcessorContext
    {
        private ILoginProcessor _loginProcessor;
        public LoginProcessorContext(ILoginProcessor loginProcessor)
        {
            _loginProcessor = loginProcessor;
        }

        /// <summary>
        /// 登录
        /// </summary>
        /// <param name="userLoginInfo">用户登录参数</param>
        /// <returns>Token信息</returns>
        public async Task<string> DoLoginAsync(UserLoginInfo userLoginInfo)
        {
            return await _loginProcessor.DoLoginAsync(userLoginInfo);
        }
    }
}
